uk.gov.hmrc.address.v2

# AddressRecord

###
Related Doc: package v2

#### case class AddressRecord(id: String, uprn: Option[Long], address: Address, language: String, localCustodian: Option[LocalCustodian], location: Option[Seq[BigDecimal]], blpuState: Option[String], logicalState: Option[String], streetClassification: Option[String]) extends Product with Serializable

Represents one address record. Arrays of these are returned from the address-lookup microservice.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AddressRecord
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AddressRecord(id: String, uprn: Option[Long], address: Address, language: String, localCustodian: Option[LocalCustodian], location: Option[Seq[BigDecimal]], blpuState: Option[String], logicalState: Option[String], streetClassification: Option[String])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val address: Address

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asV1: v1.AddressRecord

7. #### val blpuState: Option[String]

8. #### def blpuStateValue: Option[BLPUState]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val id: String

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def isValid: Boolean

    Annotations
      @JsonIgnore()

16. #### val language: String

17. #### val localCustodian: Option[LocalCustodian]

18. #### val location: Option[Seq[BigDecimal]]

19. #### def locationValue: Option[Location]

20. #### val logicalState: Option[String]

21. #### def logicalStateValue: Option[LogicalState]

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val streetClassification: Option[String]

26. #### def streetClassificationValue: Option[StreetClassification]

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def truncatedAddress(maxLen: Int = Address.maxLineLength): AddressRecord

29. #### val uprn: Option[Long]

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def withoutMetadata: AddressRecord

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped